Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::SortTargetEdgeIterator Struct Reference
Iterators

This Iterator sorts the edges based on the values of their target nodes in a DoubleProperty. More...

`#include <SortIterator.h>`

Inheritance diagram for tlp::SortTargetEdgeIterator:
[legend]
Collaboration diagram for tlp::SortTargetEdgeIterator:
[legend]

List of all members.

## Public Member Functions

- SortTargetEdgeIterator (Iterator< edge > *itIn, Graph *sg, DoubleProperty *metric)
- ~SortTargetEdgeIterator ()

## Detailed Description

This Iterator sorts the edges based on the values of their target nodes in a DoubleProperty.

## Constructor & Destructor Documentation

tlp::SortTargetEdgeIterator::SortTargetEdgeIterator | ( | Iterator< edge > * | itIn,
|  | Graph * | sg,
|  | DoubleProperty * | metric
| ) |  | `[inline]`

tlp::SortTargetEdgeIterator::~SortTargetEdgeIterator | ( |  | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2012